<template>
  <div>
    <Navbar />
  
    <b-container>
      <b-row>
        <b-col class="querys-wrapper">
          <div class="querys-header">
            <h1>Lista de consultas</h1>
          </div>
          <div class="querys-body">
            <div
              class="querys-card"
              v-for="(item, key) in querys" :key="key">
              <p>
                <strong>Nome do paciente:</strong>
                {{ item.paciente }}
              </p>

              <p>
                <strong>Data da consulta:</strong>
                {{ item.dataConsulta }}
              </p>

              <b-row>
                <b-col>
                  <b-button
                    variant="primary"
                    v-b-modal.modal-details
                    @click="id = item.id">
                    Detalhar
                  </b-button>
                </b-col>
              </b-row>
            </div>
          </div>
        </b-col>
      </b-row>

      <feedback-request />

      <modal-detail :id="id" />
    </b-container>
  </div>
</template>

<script>
import Navbar from '@/components/Navbar'
import ModalDetail from '@/components/ModalDetail'
import FeedbackRequest from '@/components/FeedbackRequest'
import QueryService from '@/services/queryservice'
import { mapActions } from 'vuex'

export default {
  name: 'list-input',

  components: {
    Navbar,
    ModalDetail,
    FeedbackRequest
  },

  data() {
    return {
      querys: [],
      id: null
    }
  },

  created() {
    this.queryService = new QueryService()
    this.getAllQuerys()
  },

  methods: {
    ...mapActions([
      'controlFeedbackVisibilite'
    ]),
    
    getAllQuerys() {
      this.queryService.getAllQuery().then((response) => {
        this.querys = response.data.data
      }).catch((error) => {
        const paramError = { type: 'error', msg: true }
        this.controlFeedbackVisibilite(paramError)
        console.log(error)
      }).finally(() => {
        this.$nextTick(() => {
          this.$bvModal.hide('modal-1')
        })
         setTimeout(() => {
          const paramError = { type: 'error', msg: false }
          this.controlFeedbackVisibilite(paramError)
        }, 3000)
      })
    }
  }
}
</script>

<style lang="scss">
@mixin reselect-card {
  border: 1px solid rgba(0, 0, 0, 0.1);
  margin: 30px 0;
  padding: 30px;
  border-radius: 5px;
}

.querys-wrapper {
  min-height: 50vh;
  margin: 60px 0;
  padding: 50px;

  .querys-body {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    .querys-card {
      width: 40%;
      text-align: left;
      @include reselect-card;
      min-height: 100px;
      margin: 15px;
    }
  }
}

@media(max-width: 768px) {
  .querys-wrapper {
    padding: 0;
    .querys-body {
      .querys-card {
        width: 100%;
      }
    }
  }
}
</style>